package com.sifang.modules.changes.vo;

import com.sifang.modules.customer.form.AddEntryReqSurveyDetail;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class AnyProductSurveryChangeVo {

    @NotBlank(message = "电站信息不能为空！")
    private String entryId;

    private String type;

    private String status;

    private String reason;

    private List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails;

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<AddEntryReqSurveyDetail> getAddEntryReqSurveyDetails() {
        return addEntryReqSurveyDetails;
    }

    public void setAddEntryReqSurveyDetails(List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails) {
        this.addEntryReqSurveyDetails = addEntryReqSurveyDetails;
    }
}
